Platform Operations/Platforms
PATCHPlatformSince 1.0SynchronousAuth Required
UpdatePlatform
Update connection settings or feature flags for an existing platform.
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredUUID of the platform to update
Body Fields
nameStringRequiredThe name value
Example: my-resource
versionStringRequiredVersion for this resource
Example: value
hostIpStringRequiredHost IP
Example: value
hostPortIntegerRequiredHost port
Example: 10
accessKeyIdStringRequiredAccess key ID
Example: value
Responses
Endpoint
PATCH/api/v1/platforms/{uuid}
/api/v1/platforms/{uuid}
Request Example
curl -X PATCH '{host}/api/v1/platforms/{uuid}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"key": "value"}'
Response Example
200{
"uuid": "plat-abc123-def456",
"name": "prod-zstack-01",
"productType": "zstack",
"hostIp": "192.168.1.100",
"hostPort": 8080,
"accessKeyName": "admin-key",
"status": "connected",
"lastError": "connection timeout"
}Change History
This API has no change history records yet.
